package com.ruoyi.framework.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.framework.system.mapper.PatientsMapper;
import com.ruoyi.framework.system.domain.Patients;
import com.ruoyi.framework.system.service.IPatientsService;

/**
 * 病患信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
@Service
public class PatientsServiceImpl implements IPatientsService 
{
    @Autowired
    private PatientsMapper patientsMapper;

    /**
     * 查询病患信息
     * 
     * @param PatientID 病患信息主键
     * @return 病患信息
     */
    @Override
    public Patients selectPatientsByPatientID(Long PatientID)
    {
        return patientsMapper.selectPatientsByPatientID(PatientID);
    }

    /**
     * 查询病患信息列表
     * 
     * @param patients 病患信息
     * @return 病患信息
     */
    @Override
    public List<Patients> selectPatientsList(Patients patients)
    {
        return patientsMapper.selectPatientsList(patients);
    }

    /**
     * 新增病患信息
     * 
     * @param patients 病患信息
     * @return 结果
     */
    @Override
    public int insertPatients(Patients patients)
    {
        return patientsMapper.insertPatients(patients);
    }

    /**
     * 修改病患信息
     * 
     * @param patients 病患信息
     * @return 结果
     */
    @Override
    public int updatePatients(Patients patients)
    {
        return patientsMapper.updatePatients(patients);
    }

    /**
     * 批量删除病患信息
     * 
     * @param PatientIDs 需要删除的病患信息主键
     * @return 结果
     */
    @Override
    public int deletePatientsByPatientIDs(Long[] PatientIDs)
    {
        return patientsMapper.deletePatientsByPatientIDs(PatientIDs);
    }

    /**
     * 删除病患信息信息
     * 
     * @param PatientID 病患信息主键
     * @return 结果
     */
    @Override
    public int deletePatientsByPatientID(Long PatientID)
    {
        return patientsMapper.deletePatientsByPatientID(PatientID);
    }
}
